package com.jeeplus.modules.sg.raiseCapitalDesign.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * @create: 2021-08-10 16:34
 **/
public class CableSectionData{
    private String uuid;
    private String id;  //sql查询id

    private List<CableSectionInfo> cableFourHundredList;    //YJV22-3×400mm²
    private List<CableSectionInfo> cableHundredAndTwentyList;   //YJV22-3×120mm²
    private List<CableSectionInfo> cableThreeHundredList;   //YJV22-3×300mm²
    private List<CableSectionInfo> cableTwoHundredFortyList;    //YJV22-3×240mm²
    private List<CableSectionInfo> cableSeventyList;       //YJV22-3×70mm²
    //总长
    private String cableFourHundredListTotal;
    private String cableHundredAndTwentyListTotal;
    private String cableThreeHundredListTotal;
    private String cableTwoHundredFortyListTotal;
    private String cableSeventyListTotal;
    private String voltageName;         //名称
    // id
    private String cableFourHundredId;
    private String cableHundredAndTwentyId;
    private String cableThreeHundredId;
    private String cableTwoHundredFortyId;
    private String cableSeventyId;


    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<CableSectionInfo> getCableFourHundredList() {
        return cableFourHundredList;
    }

    public void setCableFourHundredList(List<CableSectionInfo> cableFourHundredList) {
        this.cableFourHundredList = cableFourHundredList;
    }

    public List<CableSectionInfo> getCableHundredAndTwentyList() {
        return cableHundredAndTwentyList;
    }

    public void setCableHundredAndTwentyList(List<CableSectionInfo> cableHundredAndTwentyList) {
        this.cableHundredAndTwentyList = cableHundredAndTwentyList;
    }

    public List<CableSectionInfo> getCableThreeHundredList() {
        return cableThreeHundredList;
    }

    public void setCableThreeHundredList(List<CableSectionInfo> cableThreeHundredList) {
        this.cableThreeHundredList = cableThreeHundredList;
    }

    public List<CableSectionInfo> getCableTwoHundredFortyList() {
        return cableTwoHundredFortyList;
    }

    public void setCableTwoHundredFortyList(List<CableSectionInfo> cableTwoHundredFortyList) {
        this.cableTwoHundredFortyList = cableTwoHundredFortyList;
    }

    public List<CableSectionInfo> getCableSeventyList() {
        return cableSeventyList;
    }

    public void setCableSeventyList(List<CableSectionInfo> cableSeventyList) {
        this.cableSeventyList = cableSeventyList;
    }

    public String getCableHundredAndTwentyListTotal() {
        return cableHundredAndTwentyListTotal;
    }

    public void setCableHundredAndTwentyListTotal(String cableHundredAndTwentyListTotal) {
        this.cableHundredAndTwentyListTotal = cableHundredAndTwentyListTotal;
    }

    public String getCableThreeHundredListTotal() {
        return cableThreeHundredListTotal;
    }

    public void setCableThreeHundredListTotal(String cableThreeHundredListTotal) {
        this.cableThreeHundredListTotal = cableThreeHundredListTotal;
    }

    public String getCableTwoHundredFortyListTotal() {
        return cableTwoHundredFortyListTotal;
    }

    public void setCableTwoHundredFortyListTotal(String cableTwoHundredFortyListTotal) {
        this.cableTwoHundredFortyListTotal = cableTwoHundredFortyListTotal;
    }

    public String getCableSeventyListTotal() {
        return cableSeventyListTotal;
    }

    public void setCableSeventyListTotal(String cableSeventyListTotal) {
        this.cableSeventyListTotal = cableSeventyListTotal;
    }

    public String getVoltageName() {
        return voltageName;
    }

    public void setVoltageName(String voltageName) {
        this.voltageName = voltageName;
    }

    public String getCableFourHundredListTotal() {
        return cableFourHundredListTotal;
    }

    public void setCableFourHundredListTotal(String cableFourHundredListTotal) {
        this.cableFourHundredListTotal = cableFourHundredListTotal;
    }

    public String getCableFourHundredId() {
        return cableFourHundredId;
    }

    public void setCableFourHundredId(String cableFourHundredId) {
        this.cableFourHundredId = cableFourHundredId;
    }

    public String getCableHundredAndTwentyId() {
        return cableHundredAndTwentyId;
    }

    public void setCableHundredAndTwentyId(String cableHundredAndTwentyId) {
        this.cableHundredAndTwentyId = cableHundredAndTwentyId;
    }

    public String getCableThreeHundredId() {
        return cableThreeHundredId;
    }

    public void setCableThreeHundredId(String cableThreeHundredId) {
        this.cableThreeHundredId = cableThreeHundredId;
    }

    public String getCableTwoHundredFortyId() {
        return cableTwoHundredFortyId;
    }

    public void setCableTwoHundredFortyId(String cableTwoHundredFortyId) {
        this.cableTwoHundredFortyId = cableTwoHundredFortyId;
    }

    public String getCableSeventyId() {
        return cableSeventyId;
    }

    public void setCableSeventyId(String cableSeventyId) {
        this.cableSeventyId = cableSeventyId;
    }
}
